/*
 * Dayona
 * Created on Thu May 26 2022
 * email : dayonaart@gmail.com
 * Copyright (c) 2022
 */

import 'package:device_properties/device_properties_method_channel.dart';
import 'device_properties_platform_interface.dart';

class DeviceProperties {
  /// This method will return
  /// - IP public device
  /// - Device model or brand
  /// - Device OS version
  /// - Your App version code
  /// - Your App build code
  Future<DevicesPropertiesModel?> getDevicesProperties() {
    return DevicePropertiesPlatform.instance.getProperties();
  }

  /// This method will return
  /// - Your device IP public
  Future<String?> getPublicIp() {
    return DevicePropertiesPlatform.instance.getPublicIp();
  }
}
